function resetall

%   resetall

%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      

global faktorstring stufenvec aktiverfaktor gradientcell...
    stufenvec anzahlwiederholungen ausschlussmat anzahlfaktoren...
    signallaenge uewktstatus whlstatus ausschlussstatus wiederholungsstatus faktorausschlussstatus...
    opimierungsstatus distmat 
faktorstring=cell(1,1);faktorstring{1}='faktor1';stufenvec=zeros(1);
aktiverfaktor=1;gradientcell=cell(1,1);widmat=[];ausschlussmat=[];
uewktstatus = 0;ausschlussstatus = 0; wiederholungsstatus = 0; anzahlwiederholungen = 1;
faktorausschlussstatus = 0; optimierungsstatus = 1;
    
%close old figure
close(gcf);

%open new figure
fig = openfig('randomizer.fig','reuse');
handles = guihandles(fig);
guidata(fig, handles);
faktorauswahl = findobj('tag','faktorauswahl');
set(faktorauswahl,'String',faktorstring);